<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>C-Index</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">K</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#clearAll-javafx.event.ActionEvent-">clearAll(ActionEvent)</a></span> - Method in class gui.<a href="../gui/RucksackGUIController.html" title="class in gui">RucksackGUIController</a></dt>
<dd>
<div class="block">Represents the menu entry for clearing the whole knapsack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Item.html#compare-knapsack.Item-knapsack.Item-">compare(Item, Item)</a></span> - Method in class knapsack.<a href="../knapsack/Item.html" title="class in knapsack">Item</a></dt>
<dd>
<div class="block">Override from Comparator.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/strategies/DynamicProgramming.html#core_algorithm-knapsack.Knapsack-">core_algorithm(Knapsack)</a></span> - Method in class knapsack.strategies.<a href="../knapsack/strategies/DynamicProgramming.html" title="class in knapsack.strategies">DynamicProgramming</a></dt>
<dd>
<div class="block">see <a href="../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-"><code>TemplateStrategy.core_algorithm(Knapsack)</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/strategies/Greedy.html#core_algorithm-knapsack.Knapsack-">core_algorithm(Knapsack)</a></span> - Method in class knapsack.strategies.<a href="../knapsack/strategies/Greedy.html" title="class in knapsack.strategies">Greedy</a></dt>
<dd>
<div class="block">see <a href="../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-"><code>TemplateStrategy.core_algorithm(Knapsack)</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/strategies/TemplateStrategy.html#core_algorithm-knapsack.Knapsack-">core_algorithm(Knapsack)</a></span> - Method in class knapsack.strategies.<a href="../knapsack/strategies/TemplateStrategy.html" title="class in knapsack.strategies">TemplateStrategy</a></dt>
<dd>
<div class="block">Apply the pure algorithm to decide which item we want to pack in the knapsack.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">K</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
